Enumerate tenants¶
GET/
Organization API · OrganizationTenants
Get all the tenants in the specified organization.
Parameters¶
| Name | In | Type | Required | Description |
|---|---|---|---|---|
X-Organization-ID | header | string (uuid) | Yes | Organization ID. |
ids | query | array of string (uuid) | No | Tenant IDs. Must contain at most 50 items. Items must be unique. |
page | query | integer | No | The page number to fetch, starting with 1. |
pageSize | query | integer | No | The size of the page requested. |
pageTotal | query | boolean | No | Whether the number of pages should be calculated and returned in the response. |
managed | query | boolean | No | Match tenants by whether they have enabled management by this organization. |
Request samples¶
curl -X GET "https://api.central.sophos.com/organization/v1/tenants" -H "Authorization: Bearer <access-token>" -H "X-Organization-ID: <organization-id>"
import requests
response = requests.get(
"https://api.central.sophos.com/organization/v1/tenants",
headers={
"Authorization": "Bearer <access-token>",
"X-Organization-ID": "<organization-id>",
},
)
print(response.json())
$headers = @{
"Authorization" = "Bearer <access-token>"
"X-Organization-ID" = "<organization-id>"
}
Invoke-RestMethod -Method GET -Uri "https://api.central.sophos.com/organization/v1/tenants" -Headers $headers
package main
import (
"fmt"
"io"
"net/http"
)
func main() {
req, err := http.NewRequest("GET", "https://api.central.sophos.com/organization/v1/tenants", nil)
if err != nil {
panic(err)
}
req.Header.Set("Authorization", "Bearer <access-token>")
req.Header.Set("X-Organization-ID", "<organization-id>")
resp, err := http.DefaultClient.Do(req)
if err != nil {
panic(err)
}
defer resp.Body.Close()
body, _ := io.ReadAll(resp.Body)
fmt.Println(string(body))
}
const response = await fetch("https://api.central.sophos.com/organization/v1/tenants", {
method: "GET",
headers: {
"Authorization": "Bearer <access-token>",
"X-Organization-ID": "<organization-id>",
},
});
const data = await response.json();
console.log(data);
Responses¶
200 — Page of tenants.¶
Response fields
itemsarray of objectrequiredList of tenants.
Tenant.
Show child attributesHide child attributes
idstring (uuid)requiredTenant ID.
showAsstringTenant display name.
namestringrequiredName set when the tenant was created.
dataGeographystringrequiredGeographical location where the tenant data is stored.
Must be one of:
Must be one of:
US, IE, DE, CA, AU, JP, IN, BR, AE.dataRegionstringrequiredThe data region where tenant data is stored.
Must be one of:
Must be one of:
eu01, eu02, us01, us02, us03, ca01, au01, jp01, in01, br01, ae01.billingTypestringrequiredBilling type.
Must be one of:
Must be one of:
term, trial, usage.partnerobjectRepresents a referenced object.
Show child attributesHide child attributes
idstring (uuid)requiredThe ID of the referenced object.
organizationobjectrequiredRepresents a referenced object.
Show child attributesHide child attributes
idstring (uuid)requiredThe ID of the referenced object.
apiHoststring (uri)requiredAPI host.
managedbooleanIndicates if tenant has enabled management by this organization.
pagesobjectrequiredShow child attributesHide child attributes
currentintegerrequiredThe 1-based page number being returned.
sizeintegerrequiredThe size of the page being returned.
totalinteger(Optional) The total number of pages that exist, if pageTotal=true in the request.
itemsinteger(Optional) The total number of items across all pages.
maxSizeintegerrequiredThe maximum page size that can be requested.
Errors¶
| Status | Meaning |
|---|---|
500 | Unexpected error. |
All error responses share the same shape — see the error response object.
Response examples¶
200¶
{
"items": [
{
"id": "00000000-0000-0000-0000-000000000000",
"showAs": "string",
"name": "string",
"dataGeography": "US",
"dataRegion": "eu01",
"billingType": "term",
"partner": {
"id": "00000000-0000-0000-0000-000000000000"
},
"organization": {
"id": "00000000-0000-0000-0000-000000000000"
},
"apiHost": "https://example.com",
"managed": true
}
],
"pages": {
"current": 0,
"size": 0,
"total": 0,
"items": 0,
"maxSize": 0
}
}
See the guide for a narrative walkthrough of this API.